Overview
PUT
/content/counters/{id}contentUpdate counters
Replace a record in counters by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- deletedAtoptionalstring?
- nameoptionalstring
- valueoptionalinteger
Example
{
"ecosystemId": "string",
"deletedAt": "string",
"name": "string",
"value": 0
}Responses
200
counters
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- namestring
- valueinteger
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"name": "string",
"value": 0,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/counters/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"deletedAt": "string",
"name": "string",
"value": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/counters/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"deletedAt\": \"string\",\n \"name\": \"string\",\n \"value\": 0\n}",
});
const data = await res.json();